Subject: Re: [PATCH v5 0/7] grep: simplify & delete "init" & "config" code

From: Junio C Hamano <[email-masked]>
Date: Wed, 22 Dec 2021 16:30:32 -0800

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> A simplification and code deletion of the overly complex setup for the
> grep API, no behavior changes. For v4 see:
> https://lore.kernel.org/git/[email-masked]/
>
> This re-roll is rebased on the latest push-out to "master", now-landed
> topic had a minor conflict with it in git.c.

I understand that this has no changes other than the rebase to
adjust for the "even when we are running 'git cmd -h', make sure we
try to find where the git repository is (gently)".  Am I correct?

I am not complaining for lack of improvements or anything.  I am
only making sure that I am applying the right version to a right
base.

THanks.